#include "greeter.h"

#include <stdio.h>

/*
 * A simple introduction to programming in CUDA. This program prints "Hello
 * World from GPU! from 10 CUDA threads running on the GPU.
 */
__device__ int helper(int i) {
    return i*2;
}

__global__ void helloFromGPU() {
	unsigned idx = blockIdx.x * blockDim.x + threadIdx.x;
	int i = helper(idx);
	printf("Hello World from GPU thread %d - %d !\n", idx, i);
}

int main(int argc, char **argv) {
	greet("Pinco");

	helloFromGPU<<<1, 10>>>();
	cudaDeviceSynchronize(); // try commenting this line
	return 0;
}

